# Mac OS X File

Assembler code

```
__text:000036F8
__text:000036F8 # =============== S U B R O U T I N E =======================================
__text:000036F8
__text:000036F8
__text:000036F8 sub_36F8:                               # CODE XREF: sub_3578:loc_3610↑p
__text:000036F8
__text:000036F8 .set sender_sp, -0x60
__text:000036F8 .set var_20, -0x20
__text:000036F8 .set var_4, -4
__text:000036F8 .set sender_lr,  8
__text:000036F8
__text:000036F8                 mflr      r0
__text:000036FC                 stw       r31, var_4(r1)
__text:00003700                 stw       r0, sender_lr(r1)
__text:00003704                 stwu      r1, sender_sp(r1)
__text:00003708                 bcl       20, 4*cr7+so, loc_370C
__text:0000370C
__text:0000370C loc_370C:
__text:0000370C                 mflr      r31
__text:00003710                 addis     r3, r31, (aDyldMakeDelaye - loc_370C)@ha
__text:00003714                 addi      r3, r3, (aDyldMakeDelaye - loc_370C)@l # "__dyld_make_delayed_module_initializer_"...
__text:00003718                 addi      r4, r1, 0x60+var_20
__text:0000371C                 bl        sub_3794
__text:00003720                 lwz       r12, 0x60+var_20(r1)
__text:00003724                 mtctr     r12
__text:00003728                 bctrl
__text:0000372C                 lwz       r0, 0x60+sender_lr(r1)
__text:00003730                 addi      r1, r1, 0x60
__text:00003734                 mtlr      r0
__text:00003738                 lwz       r31, var_4(r1)
__text:0000373C                 blr
__text:0000373C # End of function sub_36F8
__text:0000373C
__text:00003740
__text:00003740 # =============== S U B R O U T I N E =======================================
__text:00003740
__text:00003740
__text:00003740 sub_3740:                               # CODE XREF: sub_3578+24↑p
__text:00003740                 lis       r11, dword_140A0@ha
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.hex-rays.com/8.4/user-guide/disassembler/disassembly-gallery/mac-os-x-file.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
